Foros del Web » Creando para Internet » Sistemas de gestión de contenidos » WordPress »

Problemas en wp-admin

Estas en el tema de Problemas en wp-admin en el foro de WordPress en Foros del Web. Buenas tardes, Últimamente estoy teniendo bastantes problemas en el panel de administración de mi Wordpress. Cuando intento previsualizar una entrada, desactivar un plugin o realizar ...
  #1 (permalink)  
Antiguo 23/10/2014, 05:09
 
Fecha de Ingreso: enero-2006
Mensajes: 94
Antigüedad: 13 años, 1 mes
Puntos: 2
Problemas en wp-admin

Buenas tardes,

Últimamente estoy teniendo bastantes problemas en el panel de administración de mi Wordpress.

Cuando intento previsualizar una entrada, desactivar un plugin o realizar alguna otra acción parecida, se me queda la pantalla en blanco. La acción se realiza, pues si vuelvo atrás y actualizo, el plugin queda desactivado (por ejemplo). Además, no puedo visualizar los medios y ayer me marcaba un 'Error HTTP' cuando subía una imagen, es muy raro.

No he instalado ningún plugin últimamente, aunque aun así he probado a desactivarlos todos y sigo teniendo el mismo problema. He reinstalado Wordpress a través del Dashboard y a través del FTP y nada... La verdad es que me estoy volviendo un poco loco.

¿Podría ser problema del Hosting? ¿Qué se me puede estar pasando?

Edito:
Dándole unas cuantas vueltas, sé a ciencia cierta que el problema es del tema instalado.

Al intentar previsualizar una entrada me sale el siguiente mensaje:

Warning: Cannot modify header information - headers already sent by (output started at /var/www/vhosts/4/164121/webspace/httpdocs/elbackstage.es/wp-content/themes/Zest2/functions.php:146) in /var/www/vhosts/4/164121/webspace/httpdocs/elbackstage.es/wp-includes/pluggable.php on line 1173


Alguna incompatibilidad tiene el tema con esta versión de Wordpress, pero tengo que encontrarla porque ahora el tema es de pago y no puedo permitirme ni pasarme a otro tema (le he echado una millonada de horas a editar este) ni pagar lo que cuesta el soporte.


¡Espero ayuda! Gracias.

Última edición por gastro; 23/10/2014 a las 05:50
  #2 (permalink)  
Antiguo 23/10/2014, 08:58
Avatar de zanguanga
Moderadora
 
Fecha de Ingreso: julio-2009
Ubicación: España
Mensajes: 1.684
Antigüedad: 9 años, 8 meses
Puntos: 425
Respuesta: Problemas en wp-admin

Si el tema es de pago y piensas que es una incompatibilidad del tema, deberías consultar al desarrollador El sabrá mejor que nadie cual puede ser el problema. Por otra parte ya sabes que aquí no damos soporte a temas de pago.
__________________
Mi blog personal | Mi G+
  #3 (permalink)  
Antiguo 23/10/2014, 09:03
 
Fecha de Ingreso: enero-2006
Mensajes: 94
Antigüedad: 13 años, 1 mes
Puntos: 2
Respuesta: Problemas en wp-admin

Mi problema es que cuando la instalé allá hace un par de años era totalmente gratuita y ahora la han echo de pago... y no puedo permitirme el coste ahora mismo del soporte.

Presenté mi duda porque pienso que puede ser algo general en otros temas y puede tener una solución fácil y coherente, estas cosas se solucionan quitando pocas líneas de código interferentes en consultas y demás.
  #4 (permalink)  
Antiguo 23/10/2014, 09:12
Avatar de zanguanga
Moderadora
 
Fecha de Ingreso: julio-2009
Ubicación: España
Mensajes: 1.684
Antigüedad: 9 años, 8 meses
Puntos: 425
Respuesta: Problemas en wp-admin

Apuesto a que si buscas en Google encontrarás alguna solución. Pueden ser varias las razones y soluciones. Muchas veces es una mísera línea en blanco en algún archivo .php: En el mensaje de error tienes algunas pistas.
__________________
Mi blog personal | Mi G+
  #5 (permalink)  
Antiguo 23/10/2014, 09:15
 
Fecha de Ingreso: enero-2006
Mensajes: 94
Antigüedad: 13 años, 1 mes
Puntos: 2
Respuesta: Problemas en wp-admin

Acudí a los foros porque no encontré nada en Google que me sirviera.. :(

Acabo de instalar el blog en local y funciona cojonudo, no tengo problemas de ningún tipo, por lo que vuelvo a pensar a que el problema es del Hosting. ¿Es posible que pueda tirar tantos fallos? ¿Quizás una versión de PHP errónea?
  #6 (permalink)  
Antiguo 23/10/2014, 10:33
Avatar de ArturoGallegos
Moderador
 
Fecha de Ingreso: febrero-2008
Ubicación: Morelia, México
Mensajes: 6.277
Antigüedad: 11 años
Puntos: 1033
Respuesta: Problemas en wp-admin

Como ya te dijeron, nosotros no damos soporte a plugins o templates de pago... el que tu nos digas que hace un par de años era gratis no nos consta.

Por otro lado, seras consiente que en un par de años han pasado muchos cambios dentro de wordpress... muchos temas ya son incompatibles, encontrar el error no es cosa fácil ya que cada programador tiene su forma de hacer y nombrar las cosas.

Para solventarlo tendríamos que ver el código fuente, ya que hoy día es de pago no podemos darnos ese lujo... así que tienes 2 opciones.

1.- aprender a programar y/o solventar tu mismo el problema.
2.- pagar por la nueva versión del template y en caso de necesitarlo pedir soporte al autor.

3.- opción no recomendada.... elimina tu wordpress actual e instala una versión vieja de hace 2 años, muy posiblemente allí si te funcionara.
__________________
Toda ayuda se proporciona exclusivamente en el foro, no skype, no mensajes privados u otro medio....
  #7 (permalink)  
Antiguo 24/10/2014, 01:24
 
Fecha de Ingreso: enero-2006
Mensajes: 94
Antigüedad: 13 años, 1 mes
Puntos: 2
Respuesta: Problemas en wp-admin

Muchas gracias Arturo por tu respuesta.

En relación con lo anterior, he comprobado que mi servidor monta una versión de PHP 5.3.3 y Wordpress necesita una 5.2.4 mínimo. ¿Podría ser fuentes de problemas?
Instalé el blog en local con XAMPP y una versión de PHP 5.5.15 y no daba ningún problema, pero no sé si es por la versión o por el hecho de estar en local y no interferir en otros temas.

¿Qué opináis? ¡Gracias!
  #8 (permalink)  
Antiguo 24/10/2014, 08:41
Avatar de ArturoGallegos
Moderador
 
Fecha de Ingreso: febrero-2008
Ubicación: Morelia, México
Mensajes: 6.277
Antigüedad: 11 años
Puntos: 1033
Respuesta: Problemas en wp-admin

La versión de PHP no le afecta a Wordpress, sumado a eso tu problema es con el Theme y con este no te sabemos decir nada al respecto sobre la compatibilidad con la versión de PHP que usas.

como bien dijiste wordpress tiene un mínimo en la versión de PHP pero que yo sepa y por mi experiencia no tiene ningún problema con la ultima versión de este.
__________________
Toda ayuda se proporciona exclusivamente en el foro, no skype, no mensajes privados u otro medio....

Etiquetas: plugin, wp-admin
Atención: Estás leyendo un tema que no tiene actividad desde hace más de 6 MESES, te recomendamos abrir un Nuevo tema en lugar de responder al actual.
Respuesta




La zona horaria es GMT -6. Ahora son las 12:58.